Ruby 1.9.2p136(2010-12-25revision30365)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields

# dir_data Struct Reference

## Data Fields
DIR * | dir
VALUE | path
rb_encoding * | enc

## Detailed Description

Definition at line 318 of file dir.c.

## Field Documentation

DIR* dir_data::dir

Definition at line 319 of file dir.c.

Referenced by dir_check(), dir_close(), dir_each(), dir_entries(), dir_foreach(), dir_free(), dir_initialize(), dir_mark(), dir_open_dir(), dir_read(), dir_rewind(), dir_s_alloc(), and dir_s_open().

rb_encoding* dir_data::enc

Definition at line 321 of file dir.c.

Referenced by dir_each(), dir_initialize(), dir_read(), and dir_s_alloc().

VALUE dir_data::path

Definition at line 320 of file dir.c.

Referenced by dir_initialize(), dir_inspect(), dir_mark(), dir_path(), dir_s_alloc(), and file_s_fnmatch().

The documentation for this struct was generated from the following file:

- dir.c